Skip to main content
GET
/
v1
/
accounts
/
{account_id}
/
earn
/
auto
/
allocations
Get auto earn allocations
curl --request GET \
  --url https://api.services.payward.com/v1/accounts/{account_id}/earn/auto/allocations \
  --header 'api-key: <api-key>' \
  --header 'api-nonce: <api-key>' \
  --header 'api-otp: <api-key>' \
  --header 'api-sign: <api-key>'
{
  "quote_symbol": "USD",
  "quote_type": "fiat",
  "total_allocated_in_quote": "12345.12",
  "data": [
    {
      "symbol": "ETH",
      "type": "crypto",
      "name": "Ethereum",
      "allocated": "3.5000",
      "allocated_in_quote": "8750.00"
    },
    {
      "symbol": "DOT",
      "type": "crypto",
      "name": "Polkadot",
      "allocated": "450.00",
      "allocated_in_quote": "3595.12"
    }
  ],
  "next_page_token": "MjoyRHuBXSgoe0mDHt-iFALROW46EGdvk_trgja31Vwr7H4"
}

Authorizations

api-key
string
header
required
api-sign
string
header
required
api-nonce
string
header
required
api-otp
string
header
required

Path Parameters

account_id
string
required

ID of the account to retrieve allocations for. Refers to one of the accounts held by the user the request is acting on behalf of.

Required string length: 5 - 34
Pattern: ^[A-Z]{2}[0-9]{2}[A-Z0-9]+$

Query Parameters

quote_symbol
string

Ticker symbol of the quote asset for converted amounts (e.g. "USD", "EUR"). Defaults to "USD".

Maximum string length: 10
quote_type
string

Type of the quote asset. Only "fiat" is supported. Defaults to "fiat".

Maximum string length: 16
page_token
string

Opaque page token returned by a previous response. Omit to start from the beginning.

Required string length: 1 - 64
page_size
integer<int32>

Maximum number of results to return.

Required range: 1 <= x <= 200

Response

Successful response

total_allocated_in_quote
string

Total of all allocations expressed in the quote currency.

data
object[]

Per-asset allocation entries for the requested page.

next_page_token
string

Opaque token for the next page of results. Absent if there are no more results.

Required string length: 1 - 64
quote_symbol
string

Symbol of the quote asset used for converted amounts (e.g. "USD", "EUR").

quote_type
string

Type of the quote asset (e.g. "fiat").